# TGray32 Class Reference

List of all members.

## Public Member Functions
| TGray32 ()
| TGray32 (const TGray16 t16)
| TGray32 (const TFixed1814 f)
| TGray32 (const real32 r)
void | FromInt32 (const int32 i32)
void | FromTGray16 (const TGray16 t16)
void | FromFixed1814 (const TFixed1814 f)
void | FromReal (const real32 r)
TGray16 | ToTGray16 () const
TGray16 | ClampToTGray16 (boolean &outClamped) const
TFixed1814 | ToFixed1814 () const
real32 | ToReal () const
int32 | ToInt32 () const
TGray16 | ClampZeroToOne () const
TGray32 | operator+ (const TGray32 &c2) const
TGray32 | operator- (const TGray32 &c2) const
TGray32 | operator- () const
TGray32 | operator* (const TGray32 &c2) const
TGray32 | operator/ (const TGray32 &c2) const
TGray32 | operator/ (const int32 i) const
TGray32 | operator>> (const uint8 i) const
TGray32 | operator<< (const uint8 i) const
TGray32 | operator& (const uint32 i) const
TGray32 | operator| (const uint32 i) const
TGray32 & | operator+= (const TGray32 &c2)
TGray32 & | operator-= (const TGray32 &c2)
TGray32 & | operator*= (const TGray32 &c2)
TGray32 & | operator/= (const TGray32 &c2)
TGray32 & | operator*= (const int32 i)
TGray32 & | operator/= (const int32 i)
TGray32 & | operator&= (const uint32 i)
TGray32 & | operator|= (const uint32 i)
TGray32 & | operator>>= (uint8 i)
TGray32 & | operator<<= (uint8 i)
boolean | operator== (const TGray32 &c2) const
boolean | operator!= (const TGray32 &c2) const
boolean | operator<= (const TGray32 &c2) const
boolean | operator>= (const TGray32 &c2) const
boolean | operator< (const TGray32 &c2) const
boolean | operator> (const TGray32 &c2) const
TGray32 | Fractional () const
TGray32 & | Blend (const TGray32 &val, const TGray32 &alpha)
## Static Public Attributes
static const TGray32 | kZero
static const TGray32 | kTiny
static const TGray32 | k1o12
static const TGray32 | k1o6
static const TGray32 | k1o4
static const TGray32 | k1o3
static const TGray32 | k1o2
static const TGray32 | k2o3
static const TGray32 | k3o4
static const TGray32 | kOne
static const TGray32 | kTwo
static const TGray32 | kFour
static const TGray32 | kMinusTwo
static const TGray32 | kThree
static const TGray32 | kSix
static const TGray32 | kEight
static const TGray32 | kSixteen
## Private Member Functions
TFixed1814 | FixedMultiply (TFixed1814 x, TFixed1814 y) const
TFixed1814 | FixedDivide (TFixed1814 x, TFixed1814 y) const
## Private Attributes
TFixed1814 | fValue

## Detailed Description

Fixed precision monochrome class

## Constructor & Destructor Documentation

TGray32::TGray32 | ( |  | ) | `[inline]`

TGray32::TGray32 | ( | const TGray16 | t16 | ) | `[inline]`

TGray32::TGray32 | ( | const TFixed1814 | f | ) | `[inline, explicit]`

TGray32::TGray32 | ( | const real32 | r | ) | `[inline, explicit]`

## Member Function Documentation

TGray32& TGray32::Blend | ( | const TGray32 & | val,
|  | const TGray32 & | alpha |
| ) |  |  | `[inline]`

TGray16 TGray32::ClampToTGray16 | ( | boolean & | outClamped | ) | const`[inline]`

TGray16 TGray32::ClampZeroToOne | ( |  | ) | const`[inline]`

TFixed1814 TGray32::FixedDivide | ( | TFixed1814 | x,
|  | TFixed1814 | y |
| ) |  |  | const`[inline, private]`

TFixed1814 TGray32::FixedMultiply | ( | TFixed1814 | x,
|  | TFixed1814 | y |
| ) |  |  | const`[inline, private]`

TGray32 TGray32::Fractional | ( |  | ) | const`[inline]`

void TGray32::FromFixed1814 | ( | const TFixed1814 | f | ) | `[inline]`

void TGray32::FromInt32 | ( | const int32 | i32 | ) | `[inline]`

void TGray32::FromReal | ( | const real32 | r | ) | `[inline]`

void TGray32::FromTGray16 | ( | const TGray16 | t16 | ) | `[inline]`

boolean TGray32::operator!= | ( | const TGray32 & | c2 | ) | const`[inline]`

TGray32 TGray32::operator& | ( | const uint32 | i | ) | const`[inline]`

TGray32& TGray32::operator&= | ( | const uint32 | i | ) | `[inline]`

TGray32 TGray32::operator* | ( | const TGray32 & | c2 | ) | const`[inline]`

TGray32& TGray32::operator*= | ( | const int32 | i | ) | `[inline]`

TGray32& TGray32::operator*= | ( | const TGray32 & | c2 | ) | `[inline]`

TGray32 TGray32::operator+ | ( | const TGray32 & | c2 | ) | const`[inline]`

TGray32& TGray32::operator+= | ( | const TGray32 & | c2 | ) | `[inline]`

TGray32 TGray32::operator- | ( |  | ) | const`[inline]`

TGray32 TGray32::operator- | ( | const TGray32 & | c2 | ) | const`[inline]`

TGray32& TGray32::operator-= | ( | const TGray32 & | c2 | ) | `[inline]`

TGray32 TGray32::operator/ | ( | const int32 | i | ) | const`[inline]`

TGray32 TGray32::operator/ | ( | const TGray32 & | c2 | ) | const`[inline]`

TGray32& TGray32::operator/= | ( | const int32 | i | ) | `[inline]`

TGray32& TGray32::operator/= | ( | const TGray32 & | c2 | ) | `[inline]`

boolean TGray32::operator< | ( | const TGray32 & | c2 | ) | const`[inline]`

TGray32 TGray32::operator<< | ( | const uint8 | i | ) | const`[inline]`

TGray32& TGray32::operator<<= | ( | uint8 | i | ) | `[inline]`

boolean TGray32::operator<= | ( | const TGray32 & | c2 | ) | const`[inline]`

boolean TGray32::operator== | ( | const TGray32 & | c2 | ) | const`[inline]`

boolean TGray32::operator> | ( | const TGray32 & | c2 | ) | const`[inline]`

boolean TGray32::operator>= | ( | const TGray32 & | c2 | ) | const`[inline]`

TGray32 TGray32::operator>> | ( | const uint8 | i | ) | const`[inline]`

TGray32& TGray32::operator>>= | ( | uint8 | i | ) | `[inline]`

TGray32 TGray32::operator| | ( | const uint32 | i | ) | const`[inline]`

TGray32& TGray32::operator|= | ( | const uint32 | i | ) | `[inline]`

TFixed1814 TGray32::ToFixed1814 | ( |  | ) | const`[inline]`

int32 TGray32::ToInt32 | ( |  | ) | const`[inline]`

real32 TGray32::ToReal | ( |  | ) | const`[inline]`

TGray16 TGray32::ToTGray16 | ( |  | ) | const`[inline]`

## Member Data Documentation

TFixed1814 TGray32::fValue`[private]`

const TGray32 TGray32::k1o12`[static]`

const TGray32 TGray32::k1o2`[static]`

const TGray32 TGray32::k1o3`[static]`

const TGray32 TGray32::k1o4`[static]`

const TGray32 TGray32::k1o6`[static]`

const TGray32 TGray32::k2o3`[static]`

const TGray32 TGray32::k3o4`[static]`

const TGray32 TGray32::kEight`[static]`

const TGray32 TGray32::kFour`[static]`

const TGray32 TGray32::kMinusTwo`[static]`

const TGray32 TGray32::kOne`[static]`

const TGray32 TGray32::kSix`[static]`

const TGray32 TGray32::kSixteen`[static]`

const TGray32 TGray32::kThree`[static]`

const TGray32 TGray32::kTiny`[static]`

const TGray32 TGray32::kTwo`[static]`

const TGray32 TGray32::kZero`[static]`

The documentation for this class was generated from the following file:

- MCColor16.h